//
//  MyDocument.m
//  BasicTextEditor
//
//  Created by Robbie Duncan on 12/03/2006.
//  Copyright __MyCompanyName__ 2006 . All rights reserved.
//

#import "MyDocument.h"

@implementation MyDocument

- (NSString *)windowNibName
{
    return @"MyDocument";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
    [super windowControllerDidLoadNib:aController];
	if (loadedText!=nil)
	{
		// Outlet now connected: add the text.
		[textView insertText:loadedText];
		[loadedText release];
	}
}

- (BOOL)writeToFile:(NSString *)fileName ofType:(NSString *)docType
{
	return [[[textView textStorage] string] writeToFile:fileName atomically:YES];
}

- (BOOL)readFromFile:(NSString *)fileName ofType:(NSString *)docType
{
	loadedText = [[NSString alloc] initWithContentsOfFile:fileName];
	if (loadedText==nil)
	{
		return NO;
	}
	// We cannot simply add this text to the text view here as the outlet has not been connected.
	return YES;
}

@end
